#!/usr/bin/env groovy

pipeline {
   agent any

 
 post {

      pending {
        updateGitlabCommitStatus name: 'build', state: 'pending'
      }
      failure {
        updateGitlabCommitStatus name: 'build', state: 'failed'
      }
      success {
        updateGitlabCommitStatus name: 'build', state: 'success'
      }
    }

    triggers {
        gitlab(triggerOnPush: true, triggerOnMergeRequest: true, branchFilterType: 'All')
    }


   stages {
      stage('gitlab') {
         steps {
            echo 'Notify GitLab'
            echo ' get build ID'
         }
      }
   }
}

